using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.EventSystems;

public class KangarooMother : MonoBehaviour, IPointerDownHandler, IPointerEnterHandler, IPointerExitHandler
{
	public Sprite[] kangaroos;

	public Image kangarooMom;

	public AudioClip[] click;

	public void OnPointerDown(PointerEventData eventData) {
		AudioManager.Instance.Play(click[(int)Random.Range(0, click.Length)]);
	}

	public void OnPointerEnter(PointerEventData eventData) {
		kangarooMom.sprite = kangaroos[1];
	}

	public void OnPointerExit(PointerEventData eventData) {
		kangarooMom.sprite = kangaroos[0];
	}

}
